soqt (1.6.0~e8310f-3) unstable; urgency=medium

  * [1affbbe] Fix autopkgtest. Do not start X-application.
  * [8e4a9f1] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Thu, 26 May 2016 20:31:10 +0200

soqt (1.6.0~e8310f-2) unstable; urgency=medium

  * [7f03626] Set canonical VCS-field.
  * [a91d64c] Fix license name in d/copyright.
  * [5824c2f] Set Standards-Version: 3.9.6. No changes.
  * [5345733] Add libsoqt4-dev.prerm to remove old alternatives.
              (Closes: #730091).
  * [7c87f55] Add autopkgtests.

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Oct 2014 21:12:12 +0200

soqt (1.6.0~e8310f-1.1) unstable; urgency=low

  * NMU
  * Use autotools-dev to update config.{sub,guess} and
    {libtool,aclocal}.m4. Closes: #744660, #765257

 -- Steve McIntyre <93sam@debian.org>  Wed, 15 Oct 2014 00:38:32 +0100

soqt (1.6.0~e8310f-1) unstable; urgency=low

  * [7158525] Move maintainership into debian-science-team.
  * [8596233] Remove some obsolete files.
  * [1dd5f9a] Imported Upstream version 1.6.0~e8310f
  * [6b50de8] Update homepage.
  * [2efcc04] Use dh 9. Simplify debian/rules.
  * [adae349] Add TODO.
  * [8b79572] Add files from SoGui as a patch. Need for build.
  * [729840d] Set Standards-Version 3.9.4. No change.
  * [0f30b6a] Update copyright file (BSD-license), use DEP-5.
  * [67be221] Use wrap-and-sort.

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Sep 2013 21:13:53 +0200

soqt (1.5.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Migrate from coin60 to coin80.
  * Update debian/watch (Bart Martens <bartm@debian.org>).

 -- Anton Gladky <gladk@debian.org>  Tue, 28 May 2013 22:17:52 +0200

soqt (1.5.0-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt).
  
  * rules: Empty dependency_libs from .la files.  Closes: #633323.

 -- Steve M. Robbins <smr@debian.org>  Sun, 11 Dec 2011 02:57:02 -0600

soqt (1.5.0-1) unstable; urgency=low

  * New upstream.
  
  * control: Remove build-deps on libqt3-mt-dev, qt3-dev-tools.  
    Closes: #604382.

 -- Steve M. Robbins <smr@debian.org>  Sat, 12 Feb 2011 21:52:12 -0600

soqt (1.4.2~svn20090224-3) unstable; urgency=low

  * control: Remove Qt3 packages libsoqt3-20 & libsoqt3-dev.
  * rules: Do not build Qt3 packages (no longer compiles with Qt3 anyway).
    Closes: #593798.

  * control: Package libsoqt4-20 conflicts with libsoqt3-20 because moved
    libSoQt.so.20 there.  Add ${misc:Depends} to all 3 packages.  Update
    Standards-Version.

 -- Steve M. Robbins <smr@debian.org>  Fri, 27 Aug 2010 00:45:10 -0500

soqt (1.4.2~svn20090224-2) unstable; urgency=low

  * Upload upstream SVN head version containing fixes to build with Coin 3
    (Closes: #515729, #515736, #515742).  Upstream indicated to me that
    SVN is stable enough to release.
  
  * control: Update Standards-Version to 3.8.0; no changes required.

 -- Steve M. Robbins <smr@debian.org>  Sun, 01 Mar 2009 11:41:00 -0600

soqt (1.4.2~svn20090224-1) experimental; urgency=low

  * Build prerelease of 1.4.2 from upstream SVN.
  
  * patches/qt4-fixes.patch: Remove.

 -- Steve M. Robbins <smr@debian.org>  Tue, 24 Feb 2009 21:39:02 -0600

soqt (1.4.1-7) unstable; urgency=low

  * control: Build against coin 3.x, instead of coin 2.x.

 -- Steve M. Robbins <smr@debian.org>  Mon, 16 Feb 2009 18:13:49 -0600

soqt (1.4.1-6) unstable; urgency=low

  * rules: Use quilt to manage patches.
  * control: Build-depend on quilt.
  
  * patches/qt4-fixes.patch: New.  Fixes startup and menus with Qt 4.4.
    Patch from upstream SVN, courtesy of Leopold Palomo Avellaneda.
    Closes: #498364.

 -- Steve M. Robbins <smr@debian.org>  Fri, 10 Oct 2008 23:46:38 -0500

soqt (1.4.1-5) unstable; urgency=low

  * debian/control: Package libsoqt4-dev now depends on libqt4-opengl-dev.
    Closes: #487984.

 -- Steve M. Robbins <smr@debian.org>  Wed, 25 Jun 2008 20:31:42 -0500

soqt (1.4.1-4) unstable; urgency=low

  * debian/control: Build-depend on libqt4-opengl-dev since libQtOpenGL
    migrated there from libqt4-dev without warning.  Closes: #482202.

 -- Steve M. Robbins <smr@debian.org>  Sat, 24 May 2008 04:40:30 -0500

soqt (1.4.1-3) unstable; urgency=low

  * Build both Qt3 and Qt4 versions of SoQt.  Thanks to Leopold
    Palomo-Avellaneda for the original patch.  Closes: #415382.
    - Qt3 library is libSoQt3.so.20
    - Qt4 library is libSoQt4.so.20

  * debian/rules: Revert to debhelper-based rules.
  
  * debian/control: Rename package libsoqt20 to libsoqt3-20.  Conflicts,
    Replaces, and Provides libsoqt20 via symlink libSoQt.so.20.  New
    package libsoqt4-20.  Rename libsoqt-dev to libsoqt-dev-common
    containing manpages, includes.  New packages libsoqt3-dev and
    libsoqt4-dev that provide the link libraries and soqt-config files.
    Use alternatives to provide standard link library names libSoQt.so,
    and libSoQt.a.  Set Standards-Version to 3.7.3 (no changes).
  
  * debian/NEWS.Debian: New.

 -- Steve M. Robbins <smr@debian.org>  Tue, 22 Apr 2008 22:53:35 -0500

soqt (1.4.1-2) unstable; urgency=low

  * Adjust dependencies of source and -dev packages: depend on
    libcoin40-dev rather than all the X11 and GL packages. Closes:
    #443256.
  
  * debian/rules: rewrite using cdbs.

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Sep 2007 20:10:47 -0500

soqt (1.4.1-1) unstable; urgency=low

  * New upstream.
  
  * debian/rules: Remove bogus manpages man/man3/_* in build rule.
    Closes: #413670.
  
  * debian/control: Set GL dependency to xlibmesa-gl-dev | nvidia-glx-dev
  in hopes of making the package usable on a system with NVIDA's OpenGL.
  This reverts the change made in 1.2.0-3.  Hopefully this fixes #407603.
  Update standards-version to 3.7.2.2; no changes required.
  
  * debian/watch: New file.

 -- Steve M. Robbins <smr@debian.org>  Wed,  7 Mar 2007 22:48:07 -0600

soqt (1.3.0-3) unstable; urgency=low

  * debian/control: update libsoqt-dev depends.  Closes: #351700.

 -- Steve M. Robbins <smr@debian.org>  Mon,  6 Feb 2006 22:34:00 -0500

soqt (1.3.0-2) unstable; urgency=low

  * debian/control: Replace xlibs-dev build-depend by 8 others.  Closes: #347084.
  Update standards-version to 3.6.2; no changes required.

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 Jan 2006 22:52:34 -0500

soqt (1.3.0-1) unstable; urgency=low

  * New upstream.  Closes: #330107.
  
  * configure, configure.ac: Remove line that disables building
  both static and shared libs.

 -- Steve M. Robbins <smr@debian.org>  Sun, 27 Nov 2005 12:35:13 -0500

soqt (1.2.0-3) unstable; urgency=low

  * GCC 4 transition: rename libsoqt20c102 back to libsoqt20.
  
  * debian/control: Change GL dependency to xlibmesa-gl-dev.

 -- Steve M. Robbins <smr@debian.org>  Sun,  4 Sep 2005 12:39:32 -0400

soqt (1.2.0-2) unstable; urgency=low

  * configure: Don't quote "$LD", it breaks the build.  
  Closes: #269669, 274275.

 -- Steve M. Robbins <smr@debian.org>  Mon, 11 Oct 2004 22:00:26 -0400

soqt (1.2.0-1) unstable; urgency=low

  * New upstream version.
  
  * debian/rules:
    - file wrapmsvc.exe moved from cfg/m4 to cfg.
    - add compile flags "-D_REENTRANT -Wl,-z,defs" to comply with 
      standards-version 3.6.1.0.

  * debian/control: set standards-version to 3.6.1.0.
  
 -- Steve M. Robbins <smr@debian.org>  Sun, 29 Aug 2004 15:31:34 -0400

soqt (1.0.2-3) unstable; urgency=low

  * Build against coin-2, rather than coin-1.  Closes: #241102.

 -- Steve M. Robbins <smr@debian.org>  Sat, 29 May 2004 02:58:50 -0400

soqt (1.0.2-2) unstable; urgency=low

  * src/Inventor/Qt/viewers/PlaneViewer.cpp: Do not include <qwindowsstyle.h>.
  * debian/control: 
    Do not depend on libqt3-plugins-headers.  Closes #219563.
    Depend on debhelper version >= 4.
    Set -dev section to libdevel.

 -- Steve M. Robbins <smr@debian.org>  Sat,  6 Dec 2003 21:46:48 -0500

soqt (1.0.2-1) unstable; urgency=low

  * New upstream.
  
  * cfg/m4/libtool.m4:
    cfg/ltmain.sh:
    cfg/config.guess:
    cfg/config.sub: Replace with up-to-date versions.  Re-run aclocal,
    autoconf.
  
  * Build-depend on libqt3-plugins-headers, to compensate for the 
    recent Qt splintering.

 -- Steve M. Robbins <smr@debian.org>  Thu, 13 Mar 2003 11:19:19 -0500

soqt (1.0.1-4) unstable; urgency=low

  * Set QTDIR=/usr/share/qt3 when configuring.
    Closes: #181617.

 -- Steve M. Robbins <smr@debian.org>  Sat, 22 Feb 2003 18:42:11 -0500

soqt (1.0.1-3) unstable; urgency=low

  * Build and install static lib.

  * cfg/m4/libtool.m4: Replace with modern version.  Re-run aclocal and
    autoconf to get modern mipsel support.  Closes: #179794.

  * cfg/configure.guess:
  * cfg/configure.sub:
  * cfg/ltmain.sh: Replace with current version from autotools-dev.
  
  * debian/rules: Honour DEB_BUILD_OPTIONS for policy 3.5.8.
  
 -- Steve M. Robbins <smr@debian.org>  Thu,  6 Feb 2003 19:53:10 -0500

soqt (1.0.1-2) unstable; urgency=low

  * Build with GCC 3.2.
    - depend on libqt3-mt-dev, conflict with libqt3-dev; need to make
      sure configure finds libqt3-mt as it has the GL widget
    - depend on qt3-dev-tools for moc
  
  * Add -dev package dependencies to libsoqt-dev.

  * debian/control: Set section values to make the installer happy.

 -- Steve M. Robbins <smr@debian.org>  Sun,  2 Feb 2003 11:52:18 -0500

soqt (1.0.1-1) unstable; urgency=low

  * New upstream.

  * debian/control: Specify xlibmesa-dev as preferred libgl-dev package.
    Build-conflict with libutahglx-dev until that package is fixed or
    stops providing libgl-dev.
  
  * debian/control: Build-depend on libqt3 to work around the missing
    dependency in libqt3-dev (bug #167475).  Closes: #167044.

 -- Steve M. Robbins <smr@debian.org>  Sat,  2 Nov 2002 13:42:44 -0500

soqt (1.0.0-1) unstable; urgency=low

  * Initial Release.  Closes: #155693.

  * cfg/m4: add files from CVS tree.

 -- Steve M. Robbins <smr@debian.org>  Sat, 10 Aug 2002 13:42:42 -0400


